Redmine - Defect #33707

Highlighted code with 'diff' format converts tabs to spaces, which breaks IDEs
2020-07-08 17:19 - Robert E2

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 411

Description
If | paste some code like a diff (patch format), then tabs are replaced by 4 spaces:

Index: web/SomeJs.Js
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP

<+>UTF-8
-—— web/SomeJs. js (revision a772b73079dfedeaafa2a941b33b4bb03fc77b2a)
+++ web/SomeJs. js (date 1593706024927)

@@ -7,13 +7,33 @@
}i

SomeJs.prototype.isMobile = function () {
- return /Foo/.test ("a");

Please compare with raw format, where | got some <TAB> chars originally (edit the description to see that the tabs are still there):

Index: web/SomeJs.Js

IDEA additional info:

Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8

—-—— web/SomeJs. js<TAB> (revision a772b73079dfedeaafa2a941b33b4bb03fc77b2a)
+++ web/SomeJs. js<TAB> (date 1593706024927)

@@ -7,13 +7,33 Q@@

bi

SomeJs.prototype.isMobile = function () {
—<TAB>return /Foo/.test ("a");

This is annoying cause copying the diff from the visual view does not work. | have to copy from the Edit view and apply the patch in
my IDE this way.

Related issues:

Is duplicate of Redmine - Defect #28793: Redmine replaces tabs with spaces in... Confirmed

History

#1 - 2020-07-13 11:13 - Go MAEDA

- Status changed from New to Confirmed

#2 - 2020-07-13 14:58 - Go MAEDA

- Is duplicate of Defect #28793: Redmine replaces tabs with spaces in code blocks added

#3 - 2020-07-13 14:59 - Go MAEDA
- Status changed from Confirmed to Closed

- Resolution set to Duplicate
| found that the same problem has already been reported as #28793. Closing this issue as a duplicate of it.

Thank you for reporting this issue.
https://www.redmine.org/issues/28793
http://www.tcpdf.org

